%define pypi_name  m2r2

Name:           python3-%{pypi_name}
Version:        0.3.2
Release:        %mkrel 1
Summary:        Markdown to reStructuredText converter
Group:          Development/Python
License:        MIT
URL:            https://github.com/crossnox/m2r2
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-mistune
BuildRequires:  python3-pygments
BuildRequires:  python3-mock
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       m2r2 = %{version}-%{release}

%description
M2R2 converts a markdown file including reStructuredText (rst) markups to a
valid rst format.

M2R2 is a fork of m2r which hasn't been updated for a long time and there's
been no response from the author about a PR fixing a serious issue that broke
several pipelines using sphinx3. Every m2r config should work out of the box.
I've changed some of the tooling for what I'm mostly using now. Below goes the
original readme, changing only what's needed to work with m2r2.

%prep
%setup -qn %{pypi_name}-%{version}

# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' %{pypi_name}.py

%build
PYTHONPATH=$(pwd) %py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}*-py%{python3_version}.egg-info


%changelog
* Sat Aug 06 2022 tex - 0.3.2-1pclos2022
- new version
